//genMethods "-t" "Testobj" "-I" "LINK/userobj/Testobj.h" "-d" "userobj" "-y" "display_testobj" "-w" "free_testobj" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>
#include <LINK/userobj/Testobj.h>
#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>
void display_testobj(SCM, SCM, int);
void free_testobj(SCM);
typedef Testobj _Testobj;
#define _TestobjDATA(x) ((Testobj*) (EXTDATA(x)))
#define _TestobjIS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Testobj >::type))
#define _TestobjISNT_DATA(x) (!_TestobjIS_DATA(x))
#define _TestobjCXX_DATA(x) (*(Testobj*) (EXTDATA(VAL(x))))
#define _TestobjCXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Testobj >::type))
#define _TestobjCXX_ISNT_DATA(x) (!_TestobjCXX_IS_DATA(x))
void display_testobj(SCM, SCM, int);
void mark_testobj(SCM);
void free_testobj(SCM);
#include<strstream.h>
void display_testobj(SCM c, SCM port, int mode)
{
        ostrstream oss;
        if (_TestobjDATA(c))
        	oss << *_TestobjDATA(c);
        oss << ends;
        char *buffer = oss.str();
        Puts(buffer, (port));
        delete buffer;
}
void mark_testobj(SCM p)
{
}
void free_testobj(SCM p)
{
        if (!EXTSTATICP(p)) {
                delete _TestobjDATA(p);
        }
}
// define your new methods above 
// and register them using STk_add_new_cpp_primitive() below
void genExtra_TestobjMethods() {}
